Get customer details
curl --request GET \
--url https://{your-subdomain}.neetodesk.com/api/external/v2/customers/{customer_id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetodesk.com/api/external/v2/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetodesk.com/api/external/v2/customers/{customer_id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"customer": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00002222",
"name": "John Doe",
"email": "john@example.com",
"language": "English",
"time_zone": "Eastern Time (US & Canada)",
"description": "VIP customer",
"created_at": "2026-09-01T10:15:30.000Z",
"updated_at": "2026-09-03T08:42:11.000Z",
"emails": [
"john@example.com",
"john.doe@work.example.com"
],
"phone_numbers": [
"+1234567890"
],
"company": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
"name": "Acme Inc."
}
}
}{
"error": "Customer not found"
}Customers
Get customer
Retrieves details of a specific customer.
GET
/
customers
/
{customer_id}
Get customer details
curl --request GET \
--url https://{your-subdomain}.neetodesk.com/api/external/v2/customers/{customer_id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetodesk.com/api/external/v2/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetodesk.com/api/external/v2/customers/{customer_id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"customer": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00002222",
"name": "John Doe",
"email": "john@example.com",
"language": "English",
"time_zone": "Eastern Time (US & Canada)",
"description": "VIP customer",
"created_at": "2026-09-01T10:15:30.000Z",
"updated_at": "2026-09-03T08:42:11.000Z",
"emails": [
"john@example.com",
"john.doe@work.example.com"
],
"phone_numbers": [
"+1234567890"
],
"company": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
"name": "Acme Inc."
}
}
}{
"error": "Customer not found"
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
ID of the customer. You can get this by listing customers using the List customers API.
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00002222"
Response
OK - Request succeeded
Hide child attributes
Hide child attributes
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00002222"
Example:
"John Doe"
Primary email address of the customer.
Example:
"john@example.com"
Example:
"English"
Example:
"Eastern Time (US & Canada)"
Example:
"VIP customer"
Example:
"2026-09-01T10:15:30.000Z"
Example:
"2026-09-03T08:42:11.000Z"
All email addresses of the customer, including the primary one.
Example:
[
"john@example.com",
"john.doe@work.example.com"
]
All phone numbers of the customer.
Example:
["+1234567890"]